if {1} {
    # Code for the tcl-only version
    package ifneeded argparse 0.62 [list source [file join $dir argparse.tcl]]
} else {
    # Code for the non-tcl-only version
    if {[package vsatisfies [package provide Tcl] 9.0-]} {
        package ifneeded argparse 0.62 "[list load [file join $dir libtcl9argparse0.62.so]]"
    } else {
        package ifneeded argparse 0.62 "[list load [file join $dir libargparse0.62.so]]"
    }
}





